<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:name="com.photo.keyboard.themes.App"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/logo"
        android:label="@string/text_app_name"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.KeyboardSkinApplication"
        tools:targetApi="31">
        <activity
            android:name="com.photo.keyboard.themes.pager.LikeActivity"
            android:exported="false" />
        <activity
            android:name="com.photo.keyboard.themes.pager.SuccessActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.photo.keyboard.themes.pager.ClassActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.photo.keyboard.themes.pager.WelcomeActivity"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.photo.keyboard.themes.pager.SetThemesActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <service
            android:name="com.photo.keyboard.themes.mykeyboard.InputService"
            android:exported="true"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>

            <meta-data
                android:name="android.view.im"
                android:resource="@xml/view_key" />
        </service>

        <activity
            android:name="com.photo.keyboard.themes.pager.MainActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
    </application>

</manifest>